Package org.apache.lucene.analysis.morph

# Interface CharacterDefinition.LookupCharacterClass

Enclosing class:
  `CharacterDefinition`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface CharacterDefinition.LookupCharacterClass
Functional interface to lookup character class

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte`
  `lookupCharacterClass(String characterClassName)`
  looks up character class for given class name

- ## Method Details

  - ### lookupCharacterClass

    byte lookupCharacterClass(String characterClassName)
    looks up character class for given class name